<script setup>
import {ref} from 'vue';
import XNav from "../../components/XNav.vue";
import Api from "../../api/index.js";
import {onLoad} from "@dcloudio/uni-app";

const title = ref('灵活用工平台综合服务协议');
const nodes = ref('<div>Hello World!</div>');

onLoad((options) => {
    const {id} = options;

    Api.system.getSingle({
        id: id
    }).then(({data}) => {
        title.value = data.title;
        nodes.value = data.content;
    })
})
</script>

<template>
    <x-nav>{{ title }}</x-nav>

    <view class="bg-[#fff] p-[24rpx] min-h-[calc(100vh-100rpx)] box-border">
        <rich-text :nodes="nodes"></rich-text>
    </view>
</template>

<style scoped lang="scss">

</style>
